SDL_GetWindowPixelFormat(3)

NAME
SDL_GetWindowPixelFormat - Get the pixel format associated with the window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetWindowPixelFormat(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query

RETURN VALUE
Returns the pixel format of the window on success or SDL_PIXELFORMAT_UNKNOWN
 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.